com.sun.jna.platform.win32

## Interface DdemlUtil.DisconnectHandler

Enclosing class:
  DdemlUtil

    public static interface DdemlUtil.DisconnectHandler

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `onDisconnect(int transactionType, Ddeml.HCONV hconv, boolean sameInstance)` An application's Dynamic Data Exchange (DDE) callback function, DdeCallback, receives the XTYP_DISCONNECT transaction when the application's partner in a conversation uses the DdeDisconnect function to terminate the conversation.

### Method Detail

#### onDisconnect

    void onDisconnect(int transactionType,
                      Ddeml.HCONV hconv,
                      boolean sameInstance)

An application's Dynamic Data Exchange (DDE) callback function, DdeCallback, receives the XTYP_DISCONNECT transaction when the application's partner in a conversation uses the DdeDisconnect function to terminate the conversation.

Remarks

This transaction is filtered if the application specified the CBF_SKIP_DISCONNECTS flag in the DdeInitialize function.

The application can obtain the status of the terminated conversation by calling the DdeQueryConvInfo function while processing this transaction. The conversation handle becomes invalid after the callback function returns.

An application cannot block this transaction type; the CBR_BLOCK return code is ignored.

Parameters:
  `transactionType` - uType - The transaction type.
  `hconv` - A handle to that the conversation was terminated.
  `sameInstance` - dwData2 - Specifies whether the client is the same application instance as the server.

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.